Subject: RE: (iso14766.45) [[email-masked]: (SC22docs.1069) Sc 22 N 3192, Corrected Summary of Voting on SC 22 N 3162]

From: "D. J. Blackwood" <[email-masked]>
Date: Thu, 14 Dec 2000 12:52:34 -0500

Keld, will you be preparing a disposition of comments on this ballot in
preparation for a joint 14766/P1494 meeting in San Jose in February?  If so,
I will issue the appropriate meeting notices, etc.  Unfortunately the ballot
pool process within IEEE will not close soon enough for an IEEE ballot on
this draft by then, but if we can accelerate production of the next draft
perhaps we can substitute it in the IEEE ballot process.

Dave

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of Keld Jørn
> Simonsen
> Sent: December 14, 2000 07:24
> To: [email-masked]
> Subject: (iso14766.45) [[email-masked]: (SC22docs.1069) Sc 22 N 3192,
> Corrected Summary of Voting on SC 22 N 3162]
>
>
> Hi!
>
> here is the SC22 ballot response on 14766
>
> keld
>
> ----- Forwarded message from Lisa Rajchel <[email-masked]> -----
>
> From: Lisa Rajchel <[email-masked]>
> To: "[email-masked]'" <[email-masked]>
> Cc: "'Simonsen, Keld'" <[email-masked]>
> Subject: (SC22docs.1069) Sc 22 N 3192, Corrected Summary of
> Voting on SC 22 N 3162
> Date: Thu, 7 Dec 2000 12:18:56 -0500
>
> Below is the corrected version of SC 22 N 3192.  The previous version of
> this document recorded the USA vote incorrectly.  This has now
> been changed.
> Please discard the previously sent version of SC 22 N 3192.
>
>
> _______ beginning of title page _________________________
> ISO/IEC JTC 1/SC22
> Programming languages, their environments and system software interfaces
> Secretariat:  U.S.A.  (ANSI)
> ISO/IEC JTC 1/SC22
> N 3192
> TITLE:
> Corrected Summary of Voting on SC 22 N 3162, PDTR Registration Ballot for
> PDTR 14766, Guidelines for POSIX National Profiles and National Locales
> DATE ASSIGNED:
> 2000-12-07
>
> SOURCE:
> Secretariat, ISO/IEC JTC 1/SC22
> BACKWARD POINTER:
> N/A
>
> DOCUMENT TYPE:
> Summary of Voting
> PROJECT NUMBER:
> 22.14766
> STATUS:
> WG 15 is requested to prepare the document for PDTR letter ballot taking
> into account the National Body comments received.
> ACTION IDENTIFIER:
> FYI to SC 22; action to WG 15
>
> DUE DATE:
> N/A
> DISTRIBUTION:
> Text
>
> CROSS REFERENCE:
> N/A
>
> DISTRIBUTION FORM:
> Def.
>
> Address reply to:
> ISO/IEC JTC 1/SC22 Secretariat
> Lisa Rajchel
> ANSI
> 11 West 42nd Street
> New York, NY  10036
> Telephone:  (212) 642-4932
> Fax:             (212) 840-2298
> Email: [email-masked] <mailto:[email-masked]>
> <mailto:[email-masked] <mailto:[email-masked]> >
>
>
> _______ end of title page; beginning of summary ______________
> 	SUMMARY OF VOTING ON
>
> Letter Ballot Reference No:  SC22 N3162
> Circulated by:               JTC 1/SC22
> Circulation Date:            2000-08-30
> Closing Date:                 2000-11-30
>
> SUBJECT:	Summary of Voting on SC 22 N 3162, PDTR Registration Ballot
> for PDTR 14766, Guidelines for POSIX National Profiles and
> National Locales
> __________________________________________________________________
> __________
> ____________
> ----------------------------------------------------------------------
>
> The following responses have been received on the subject of approval:
> "P" Members supporting approval without comment
> 5 (Germany, Ireland, Rep. of Korea, Netherlands, Russian Federation)
>
> "P" Members supporting approval with comments
> 2 (Canada, Norway)
>
> Canadian comment-
> 1) Pages 1 through 7 should be renumbered i through vii. Page 8 would then
> become page 1.
> 2) Replace sections 1 through 4 in their entirety with the attached (see
> attachment 1). Renumber subsequent sections as required.
>
> Norwegian comment-
> We will deliver a Norwegian profile and locale for the CD.  We will give
> further comments for the development of the CD.
>
>  "P" Members not supporting approval       0
>
> "P" Members abstaining
> 2 (Denmark, Sweden)
> "P" Members not voting
> 13 (Austria, Belgium, Brazil, China, Czech Rep., Egypt, France, Japan,
> Romania, Slovenia, Ukraine, UK, USA)
>
> Attachment 1 - Canadian Comments
>
>
> 1	Overview
> 1.1	Scope
>
> This Technical Report provides guidelines for ISO Member Bodies in the
> process of making POSIX National Profiles and National Locales for the
> ISO/IEC 9945 series of POSIX standards.
>
> POSIX National Profiles provide requirements for making POSIX suitable for
> the culture, by specifying options needed of the POSIX standards and
> national standards to be applied.  Implementers can then comply with the
> POSIX National Profile to make their product suited for the
> market, and ISO
> member bodies can facilitate procurement by making POSIX National Profiles
> that are national standards.  Users can obtain products that are
> suited for
> their needs and with consistent behaviour across applications and
> platforms.
> A POSIX National Profile may include National Locale specifications.
>
> National Locales specify options to POSIX standards in POSIX
> locale format,
> on data that varies culturally.  Applications can be written in an
> internationally portable way by removing hard-coded culturally dependent
> data or functions, and using the POSIX National Locale data instead.
> Implementers can, using the National Locales, be relieved from specifying
> the often very complex internationalization data themselves and
> instead rely
> on a credible source such as the ISO Member bodies.  Users can
> benefit from
> products that are suited for their cultural needs and obtain consistent
> behaviour across applications and platforms.  ISO member bodies can
> facilitate this process and provide procurement specifications
> via national
> standards for National Locales.
>
> Note: Hereafter through this document, for simplicity of wording, the word
> National Profile is used as synonym of the word POSIX National Profile,
> unless otherwise stated.
>
> 2	General
> 2.1	Normative References
>
> The following normative documents contain provisions, which, through
> reference in this text, constitute provisions of this Technical
> Report.  For
> dated references, subsequent amendments to, or revisions of, any of these
> publications do not apply.  However, parties to agreements based on this
> Technical Report are encouraged to investigate the possibility of applying
> the most recent editions of the normative documents indicated below.  For
> undated references, the latest edition of the normative document
> referred to
> applies.  Members of ISO and IEC maintain registers of currently valid
> International Standards.
>
> ISO/IEC 9945-1:1996, Information technology - Portable Operating System
> Interface (POSIX) - Part 1: System Application Program Interface (API) [C
> Language].
>
> ISO/IEC 9945-2:1993, Information technology - Portable Operating System
> Interface (POSIX) - Part 2: Shell and Utilities.
>
> ISO/IEC 646:1991, Information technology - ISO 7-bit coded
> character set for
> information interchange.
>
> ISO/IEC 2022:1994, Information technology - Character code structure and
> extension techniques.
>
> ISO 4217:1995, Codes for the representation of currencies and funds.
>
> ISO 8601:1988, Data elements and interchange formats - Information
> interchange -Representation of dates and times.
>
> ISO/IEC 10646-1:2000, Information technology - Universal Multiple-Octet
> Coded Character Set (UCS)
>
> ISO/IEC FDIS 14651, Information technology - International string
> ordering -
> Method for comparing character strings and description of a default
> tailor-able ordering.
>
> ISO/IEC 8859, Information technology - 8-bit single-byte coded graphic
> character sets - Part 1, ..., 10, 13, 14, 15.
>
> ISO/IEC Directives: 1997, Procedures for the technical work of
> ISO/IEC JTC 1
> on information technology.
>
> ISO/IEC Directives Part 2, Methodology for the development of
> International
> Standards.
>
> ISO/IEC Directives Part 3:1989, Drafting and presentation of International
> Standards.
>
> ISO/IEC 9899:1999, Information technology - Programming language - C.
>
> ISO/IEC TR 14262:1995, Information technology - Guide to the POSIX Open
> Systems Environment.
>
> IEEE P1003.18/D13 (September 1996), Information technology -
> POSIX Profile.
>
> IEEE 1003.23-1998 User ¼ Profiles
>
> ISO/IEC TR 10000-1:1998, Information technology - Framework and
> taxonomy of
> International Standardized Profiles - Part 1: Framework.
>
> ISO/IEC TR 10000-2:1998, Information technology - Framework and
> taxonomy of
> International Standardized Profiles - Part 2: Principles and Taxonomy for
> OSI Profiles.
>
> ISO/IEC TR 10000-3:1998, Information technology - Framework and
> taxonomy of
> International Standardized Profiles - Part 3: Principles and Taxonomy for
> Open System Environment Profiles.
>
> ISO/IEC DTR 14652, Information technology - Specification method for
> cultural conventions.
>
> ISO/IEC 15897:1999, Information technology - Procedures for
> registration of
> cultural elements.
>
> ISO/IEC TR 11017:1998, Information technology - Framework for
> Internationalization.
>
> 2.2	Conformance
>
> In accordance with the precedent of ISO/IEC 14252: 1995, it is not
> appropriate to claim conformance to this Technical Report because it
> contains no mandatory requirements.  Thus, conformance testing to this
> Technical Report is not applicable.
>
> 2.2	Methods
>
> Test methods are not applicable to a Technical Report.
>
> For testing a National Profile with its National Locale, it is
> often a good
> idea to provide test data for some functionality, especially the collating
> specification.  This could be done by providing an unsorted file and a
> correctly sorted file.
>
> It will probably be unmanageable to provide a test suite for all of the
> standards referenced by a National Profile.
>
> 3	Terminology
>
> 3.1	Conventions
>
> [Describe the specific editorial and typographical conventions used in the
> document, including the specific fonts used such as in section 7.]
>
> 3.2	Definitions
>
> 3.2.1	Terms
>
> Profile: A set of one or more base standards, International Standardized
> Profiles (ISPs) and, where applicable, the identification of
> chosen classes,
> conforming subsets, options and parameters of those base
> standards, or ISPs
> necessary to accomplish a particular function (10000-1).
>
> POSIX profile: A profile for an International Standard is a set of
> specifications of the parameters, the selections of the optional items and
> the recommendations of the implementation related matters.  A
> POSIX Profile
> corresponds to the profile concept for the POSIX International Standard.
>
> POSIX National Profile: A POSIX National Profile is a POSIX
> profile that is
> strongly related to the cultural dependent aspects of POSIX.  It also
> contains the definitions and recommendations for the usage of national or
> regional standards that support the handling of the national or area
> specific aspects, e.g. the use of the coded character sets.
>
> POSIX National Locale: A National Locale is a part of a National Profile,
> which gives profile options in the POSIX localedef format.
>
> Conformance to a POSIX National Profile: The concept of the degree of the
> preciseness of the coincidence between the specifications of a realized
> POSIX system and the POSIX National Profile.  Since the POSIX National
> Profile is not necessarily included in the POSIX Profile, systems that
> conform to the POSIX National Profile may not pass the POSIX Conformance
> requirements.
>
> National Standards Profile: A National Standards Profile (NSP) is
> a profile
> of an international standard or set of international standards, possibly
> together with other specifications, that is adopted by an ISO
> member body as
> a national standard.
>
> Internationalization (I18N): A process of producing an
> application platform
> or application that is easily capable of being localized for (almost) any
> cultural environment.  (Note that an internationalized information system
> does not have a dependency on any specific culture, unless it is localized
> to that selected culture.)  (TR 11017)
>
> Localization  (L10N): A process of adapting an internationalized
> application
> platform or application to a specific cultural environment.  In
> localization, the same semantics are preserved, while the syntax may be
> changed.  (TR 11017)
>
> Portability (source code): The ability that an application can
> perform with
> same results on different application platforms, without changing the
> program source code.
>
> Locale: The definition of the subset of the environment of a user that
> depends on language and culture conventions.  (9945-2)
>
> Localedef: [Insert definition of localedef.]
>
> Charmap: A character set description file, for use with a locale.
>  (9945-2)
>
> International Standardized Profile: An internationally agreed-to,
> harmonized
> document that describes one or more profiles (10000-1).
>
> 3.2.2	Acronyms and Abbreviations
>
> DTR: Draft Technical Report
>
> FDIS: Final Draft International Standard
>
> I18N: Internationalization
>
> ISP: International Standardized Profile
>
> JTC: Joint Technical Committee
>
> L10N: Localization
>
> NSP: National Standards Profile
>
> OSI:
>
> PAS: Publicly Available Specification
>
> TR: Technical Report
>
> UCS: Universal Multiple-Octet Coded Character Set
> ___________ end of summary _____________
>
> Lisa Rajchel
> ANSI
> 11 West 42nd Street
> New York, NY  10036
> Telephone:  (212) 642-4932
> Fax:             (212) 840-2298
> Email: [email-masked] <mailto:[email-masked]>
> <mailto:[email-masked] <mailto:[email-masked]> >
>
>
>
> ----- End forwarded message -----